Add a domain
Create a custom email domain in Resend for sending notifications from your organization. Requires a Resend API key configured via BYOK. You can only have one domain configured per organization.
Create a custom email domain in Resend for sending notifications from your organization. Requires a Resend API key configured via BYOK. You can only have one domain configured per organization.
Authorization
BearerAuth API key authentication. Get your key from the dashboard.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Fully qualified domain name
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/domains" \ -H "Content-Type: application/json" \ -d '{ "domain_name": "notifications.example.com" }'{
"domain": {}
}{
"error": "Invalid API key",
"message": "string"
}{
"error": "Invalid API key",
"message": "string"
}{
"error": "You already have a domain configured. Contact support to add more domains."
}Get your domain GET
Retrieve your organization's configured email domain from Resend. Requires a Resend API key to be configured via BYOK (Bring Your Own Key). Returns null if no domain is configured.
Delete your domain DELETE
Remove your organization's configured email domain from both the database and Resend.